Attean::API::MutableTripleStore(3pm)

NAME
Attean::API::MutableTripleStore - Role representing mutable triple stores

VERSION
This document describes Attean::API::MutableTripleStore version 0.030

SYNOPSIS
  use v5.14;
  use Attean;

DESCRIPTION
This is a Moo role that mutable triple storess consume. It defines the required methods for updating data.

ROLES
This role consumes the Attean::API::TripleStore role.

REQUIRED METHODS
Classes consuming this role must provide the following methods:

"add_triple( $triple )"
    Adds the Attean::API::Triple $triple to the store.

"remove_triple( $triple )"
    Removes the Attean::API::Triple $triple from the store.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2020 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.